Patch DLDI = 1 cú click chuột *NEWEST: DLDIrc_v0.7*

Cửa hàng game Nintendo nShop

http://psychowood.altervista.org/getDLDIrc.html

Download về rồi cài, lúc nó hỏi chọn driver nào, thì chọn loại thẻ mình đang sài nha
lúc sau chỉ cần chuột phải vào file .nds rồi chọn patch là nó patch cho mình, thế là xong ^^

Mấy cái HomeBrew bi giờ nó thường xài cái nì để truy cập vào thẻ nhớ, nhưng mấy thằng programmer không muốn mỗi loại card lại phải code lại để đọc thẻ riêng cho từng cái nên cái này ra đời để cho mấy ông prog-er đỡ khổ, người sài đỡ phải kiếm bản phù hợp với sợ không tương thích ^^
DSO muốn sài phải patch cái nì, hoặc mấy cái soft nghe nhạc mới mới
 

Huydinh83

Siêu Admin
Chả hiểu có tác dụng gì và dùng như thế nào ? Bác nào biết thì làm ơn nói rõ ràng dùm đi ??? Mà thẻ G6 Lite có dùng được cái này không bác ?
công dụng: 1 số soft để chạy trên DS không được làm sẵng cho từng loại flash card(ví dụ cho G6 của bạn) thì dùng cái này để nó tương thích với loại flash card bạn đang dùng.
cách dùng: down về giải nén và cài đặt. trong khi cài đặt ct sẽ liệt kê danh sách các loại flash card, bạn hãy bỏ chọn toàn bộ và chỉ đánh dấu vào loại mình đang xài. Sau này khi có 1 file .nds mới(homebrew nhé không tính game) bạn chỉ cần chép vào thẻ và nhấn đúp lên file đó 1 cái trước khi gắn thẻ vào NDS xài. thế thôi
 
Thế bác nào đã dùng được rồi, cho em hỏi là sao khi install nó ra, lấy 1 rom bất kỳ đặt vào cùng folder với nó rồi chạy thì nó lại ra như thế này :

[DLDI Patching script by PsychoWood] [v0.32]
Patching for G6 Lite DLDI v0.15

Rom to be patched :
ECHO is off

If it is not a homebrew ROM with DLDI support, it will be CORRUPTED !

* Press anykey to patch it, or close the windown to cancel.*

Khi nhấn 1 phím bất kì thì nó hiện ra thêm dòng này :

Dynamically Linked Disk Interface patch tool v1.23 by Michael Chisholm ( Chishm )

Usage :
C:\ Program Files\DLDIrc\dlditool.exe <dldi> <app>
<dldi> The dldi patch file to apply
<app> The application binary to apply the patch to
Press any key to continue . . .

Nhưng khi em nhấn 1 phím bất kì thì nó out ra luôn, chẳng có lúc nào nhập được cái gì vào cả, mặc dù em chỉ test với những rom rất bt như là Moonshell, ImageViewer hoặc ngay cả với cái rom DLDI Tester của chính bọn nó cũng không được, chả hiểu thế nào nữa ????
 
Thế bác nào đã dùng được rồi, cho em hỏi là sao khi install nó ra, lấy 1 rom bất kỳ đặt vào cùng folder với nó rồi chạy thì nó lại ra như thế này :

[DLDI Patching script by PsychoWood] [v0.32]
Patching for G6 Lite DLDI v0.15

Rom to be patched :
ECHO is off

If it is not a homebrew ROM with DLDI support, it will be CORRUPTED !

* Press anykey to patch it, or close the windown to cancel.*

Khi nhấn 1 phím bất kì thì nó hiện ra thêm dòng này :

Dynamically Linked Disk Interface patch tool v1.23 by Michael Chisholm ( Chishm )

Usage :
C:\ Program Files\DLDIrc\dlditool.exe <dldi> <app>
<dldi> The dldi patch file to apply
<app> The application binary to apply the patch to
Press any key to continue . . .

Nhưng khi em nhấn 1 phím bất kì thì nó out ra luôn, chẳng có lúc nào nhập được cái gì vào cả, mặc dù em chỉ test với những rom rất bt như là Moonshell, ImageViewer hoặc ngay cả với cái rom DLDI Tester của chính bọn nó cũng không được, chả hiểu thế nào nữa ????
không phải đặt vào cùng một thư mục mà chuột phải lên cái file .nds đó :D, chứ chạy trực tiếp cái file exe không được đâu :D
 
đã có bản mới,

Bản mới nè, cái này nó cập nhật thêm 1 số tính năng khác, chủ yếu là để tăng tính tương thích với các FLashcard thui, pà con xải thử xem có gì mới hem

DLDIrc v0.7

*v0.7
-Added dlditool command line support in the OS path, just call
"dldirc driver romfile" from the rom folder
-Corrected language bug with FCSR (italian installed even if
english was selected)
v0.61
-Corrected FCSR image creation (was not working on non-english
Windows)
v0.6
-Added DSLink driver V4 Beta (works with DSLinux!) and EzSD_alt
(for slow SD cards)
-Corrected a bug which sometimes prevented the correct removal
of the icon association for .nds files
-Added online changelog: when there is an newer version available,
the installer also tells what the main changes are (you'll see from
the next update, of course)
-Added FCSR FS image creation:
Please remember that for this to work correctly, you must create
a folder with the same name (without extension) as your .nds/.ds.gba
file to act as the root of your virtual filesystem. For instance,
if you have 'game.nds' that requires 'wordlist.dat' to be on the
root of your media card, create a folder called 'game' (if you have
'game.ds.gba' the folder name must be 'game.ds') and add 'wordlist.dat'
to it. If this folder does not exist, unpredictable results may occur.
Thanks to Dark Fader, dantheman, GPF and tepples


à, tui hướng dẫn lun cách down nà, link trên ko phải link down trực tiếp nên bạn ko thể copy vô các chương trình hỗ trợ download đâu. khi bạn lick vào link trên thì nó sẽ dẫn đến 1 trang kiu bạn hỗ trợ money cho dự án phát triển chương trình này, bạn kiên nhẫn đợi 1 lát sẽ hiện ra bản download chương trình này hà
 
thằng em tui xài scl rumble trước giờ ko cần patch DLDI đâu, bạn cứ thử đi, nếu mà vẫn ko được thì nói tên chương trình nào, để tui thử lại
 

EvilBoys1996

Nấm bình thường
die đâu, tui vẫn download được mà
à, tui hướng dẫn lun cách down nà, link trên ko phải link down trực tiếp nên bạn ko thể copy vô các chương trình hỗ trợ download đâu. khi bạn lick vào link trên thì nó sẽ dẫn đến 1 trang kiu bạn hỗ trợ money cho dự án phát triển chương trình này, bạn kiên nhẫn đợi 1 lát sẽ hiện ra bản download chương trình này hà
 

go2_ars

Shakugan no Shana
Thành viên BQT
Tất cả các loại flashcart hiện giờ đều tự động patch DLDI hết, ko cần cái này nữa đâu
 

conternecticus

Nấm nhỏ
thanks go nhé, dù đã biết là DSTT có auto patch nhưng sao một vài game như Transformer Dark of the moon, pokemon black.... khi mình chép vào thẻ nhớ và chạy game thì nó báo rom loading eror?
 

Bình luận bằng Facebook

Cộng đồng Facebook của NintendoVN

Pokémon Center

Pokémon Center Việt Nam

Top